import { MergeObjects } from '../types/utils.types';
declare const utils: {
    merge: <T extends Record<string, any>, U extends Record<string, any>>(a: T | null | undefined, b: U | null | undefined, options?: {
        /**
         * If true, the merge will not override the existing properties
         */
        preserve?: boolean;
    }) => MergeObjects<T, U>;
    omit<T_1 extends Record<string, any>, K extends keyof T_1>(obj: T_1, keys: K[]): Record<string, any>;
    pick<T_2 extends Record<string, any>, K_1 extends keyof T_2>(obj: T_2, keys: K_1[]): Record<string, any>;
    overlaps<T_3 extends Record<string, any>, U_1 extends Record<string, any>>(a: T_3, b: U_1): string[];
    seialize<T_4 extends Record<string, any>>(obj: T_4): string;
    deserialize<T_5 extends Record<string, any>>(json: string): T_5;
    validate: {
        notNull: (value: any, error: string, errors?: string[]) => void;
        string: (value: any, error: string, errors?: string[]) => void;
        object: (value: any, error: string, errors?: string[]) => void;
        number: (value: any, error: string, errors?: string[]) => void;
        notEmpty: (value: any, error: string, errors?: string[]) => void;
    };
    throwErr: (errors: string[]) => never;
    getValue: <T_6 extends Record<string, any>, K_2 extends keyof T_6>(obj: T_6, key: K_2, defaultValue?: T_6[K_2] | undefined) => T_6[K_2] | null;
    /**
     * If the args is an array, it returns the array, otherwise it returns an array with the args as the only element
     */
    asArray<T_7>(args: T_7 | T_7[]): T_7[];
};
export default utils;
